Pear Install : Warning require once 'Structures/Graph/Node.php' #108

Closed
laurent-esk opened this Issue Jan 11, 2011 · 1 comment

Comments

2 participants

Hello, I have a problem when trying to install PHPUnit with pear:
pear install phpunit/PHPUnit

I have this problem :
E:\wamp\wamp\bin\php\php5.3.5>pear channel-discover pear.phpunit.de
Channel "pear.phpunit.de" is already initialized

E:\wamp\wamp\bin\php\php5.3.5>pear install phpunit/PHPUnit
phpunit/PHPUnit can optionally use PHP extension "dbus"
phpunit/PHPUnit can optionally use PHP extension "soap"
downloading PHPUnit-3.5.7.tgz ...
Starting to download PHPUnit-3.5.7.tgz (117,110 bytes)
.........................done: 117,110 bytes
downloading DbUnit-1.0.0.tgz ...
Starting to download DbUnit-1.0.0.tgz (38,183 bytes)
...done: 38,183 bytes
downloading File_Iterator-1.2.3.tgz ...
Starting to download File_Iterator-1.2.3.tgz (3,406 bytes)
...done: 3,406 bytes
downloading Text_Template-1.1.0.tgz ...
Starting to download Text_Template-1.1.0.tgz (2,783 bytes)
...done: 2,783 bytes
downloading PHP_CodeCoverage-1.0.3.tgz ...
Starting to download PHP_CodeCoverage-1.0.3.tgz (114,232 bytes)
...done: 114,232 bytes
downloading PHP_Timer-1.0.0.tgz ...
Starting to download PHP_Timer-1.0.0.tgz (2,536 bytes)
...done: 2,536 bytes
downloading PHPUnit_MockObject-1.0.3.tgz ...
Starting to download PHPUnit_MockObject-1.0.3.tgz (17,333 bytes)
...done: 17,333 bytes
downloading PHPUnit_Selenium-1.0.1.tgz ...
Starting to download PHPUnit_Selenium-1.0.1.tgz (15,285 bytes)
...done: 15,285 bytes
downloading YAML-1.0.4.tgz ...
Starting to download YAML-1.0.4.tgz (9,919 bytes)
...done: 9,919 bytes
downloading ConsoleTools-1.6.1.tgz ...
Starting to download ConsoleTools-1.6.1.tgz (869,994 bytes)
...done: 869,994 bytes
downloading PHP_TokenStream-1.0.1.tgz ...
Starting to download PHP_TokenStream-1.0.1.tgz (7,250 bytes)
...done: 7,250 bytes
downloading Base-1.8.tgz ...
Starting to download Base-1.8.tgz (236,357 bytes)
...done: 236,357 bytes

Warning: require_once(Structures/Graph/Node.php): failed to open stream: No such
file or directory in PEAR\Structures\Graph.php on line 37
PHP Warning: require_once(Structures/Graph/Node.php): failed to open stream: No
such file or directory in E:\wamp\wamp\bin\php\php5.3.5\PEAR\PEAR\Structures\Gr
aph.php on line 37
PHP Stack trace:
PHP 1. {main}() E:\wamp\wamp\bin\php\php5.3.5\PEAR\pearcmd.php:0
PHP 2. PEAR_Command_Common->run() E:\wamp\wamp\bin\php\php5.3.5\PEAR\pearcmd.p
hp:308
PHP 3. PEAR_Command_Install->doInstall() E:\wamp\wamp\bin\php\php5.3.5\PEAR\PE
AR\Command\Common.php:271
PHP 4. PEAR_Downloader->sortPackagesForInstall() E:\wamp\wamp\bin\php\php5.3.5
\PEAR\PEAR\Command\Install.php:699
PHP 5. require_once() E:\wamp\wamp\bin\php\php5.3.5\PEAR\PEAR\Downloader.php:1
191

Warning: require_once(Structures/Graph/Node.php): failed to open stream: No such
file or directory in E:\wamp\wamp\bin\php\php5.3.5\PEAR\PEAR\Structures\Graph.p
hp on line 37

Call Stack:
0.0017 532096 1. {main}() E:\wamp\wamp\bin\php\php5.3.5\PEAR\pearcmd.p
hp:0
0.1467 3494664 2. PEAR_Command_Common->run() E:\wamp\wamp\bin\php\php5.
3.5\PEAR\pearcmd.php:308
0.1467 3494664 3. PEAR_Command_Install->doInstall() E:\wamp\wamp\bin\ph
p\php5.3.5\PEAR\PEAR\Command\Common.php:271
9.5984 10767688 4. PEAR_Downloader->sortPackagesForInstall() E:\wamp\wam
p\bin\php\php5.3.5\PEAR\PEAR\Command\Install.php:699
9.6002 10785440 5. require_once('E:\wamp\wamp\bin\php\php5.3.5\PEAR\PEAR
\Structures\Graph.php') E:\wamp\wamp\bin\php\php5.3.5\PEAR\PEAR\Downloader.php:1
191

PHP Fatal error: require_once(): Failed opening required 'Structures/Graph/Node
.php' (include_path='E:\wamp\wamp\bin\php\php5.3.5\pear') in E:\wamp\wamp\bin\ph
p\php5.3.5\PEAR\PEAR\Structures\Graph.php on line 37
PHP Stack trace:
PHP 1. {main}() E:\wamp\wamp\bin\php\php5.3.5\PEAR\pearcmd.php:0
PHP 2. PEAR_Command_Common->run() E:\wamp\wamp\bin\php\php5.3.5\PEAR\pearcmd.p
hp:308
PHP 3. PEAR_Command_Install->doInstall() E:\wamp\wamp\bin\php\php5.3.5\PEAR\PE
AR\Command\Common.php:271
PHP 4. PEAR_Downloader->sortPackagesForInstall() E:\wamp\wamp\bin\php\php5.3.5
\PEAR\PEAR\Command\Install.php:699
PHP 5. require_once() E:\wamp\wamp\bin\php\php5.3.5\PEAR\PEAR\Downloader.php:1
191

Fatal error: require_once(): Failed opening required 'Structures/Graph/Node.php'
(include_path='E:\wamp\wamp\bin\php\php5.3.5\pear') in E:\wamp\wamp\bin\php\php
5.3.5\PEAR\PEAR\Structures\Graph.php on line 37

Call Stack:
0.0017 532096 1. {main}() E:\wamp\wamp\bin\php\php5.3.5\PEAR\pearcmd.p
hp:0
0.1467 3494664 2. PEAR_Command_Common->run() E:\wamp\wamp\bin\php\php5.
3.5\PEAR\pearcmd.php:308
0.1467 3494664 3. PEAR_Command_Install->doInstall() E:\wamp\wamp\bin\ph
p\php5.3.5\PEAR\PEAR\Command\Common.php:271
9.5984 10767688 4. PEAR_Downloader->sortPackagesForInstall() E:\wamp\wam
p\bin\php\php5.3.5\PEAR\PEAR\Command\Install.php:699
9.6002 10785440 5. require_once('E:\wamp\wamp\bin\php\php5.3.5\PEAR\PEAR
\Structures\Graph.php') E:\wamp\wamp\bin\php\php5.3.5\PEAR\PEAR\Downloader.php:1
191

I am on Windows XP with Wampserver 2.1

Thank for your help

Not a PHPUnit issue, please open at http://pear.php.net/package/PEAR/

This issue was closed.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment